Subject: Re: bug#51233: 28.0.60; Bookmark fringe indicator not removed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Nov 2021 18:47:44 +0200

> From: Carlos Pita <[email-masked]>
> Date: Mon, 15 Nov 2021 13:28:35 -0300
> Cc: [email-masked]
> 
> > > > > 1. Run emacs -q
> > > > >
> > > > > 2. Create a new file, say /tmp/test.txt
> > > > >
> > > > > 3. Ensure bookmark-set-fringe-mark is t (should be by default)
> > > > >
> > > > > 4. Add some text and bookmark the line: a fringe indicator should appear
> > > > >    at the left
> 
> Followed by:
> 
> 5. Show the bookmark lisk: C-x r l
> 6. Delete the new bookmark: d x

When you press 'x', does the fringe mark go away or doesn't?

> 7. Quit the list and return to the file: q
> 8. The indicator is still in the fringe

I actually had both the list of bookmarks and the buffer with the
fringe mark on display at the same time (2 sibling windows), and
I clearly saw the fringe mark go away in its buffer's display.

I did that as you describe now, and I still don't see the problem.

> I'm on recent master (revision 370d4038c5a671d3b9e3a4d28d849948c1a96f53).

Tried on master: no problem here.

So I wonder what is different on your system.